Global Protect client for linux

Reply
L4 Transporter

Global Protect client for linux

Hey all,

I've just updated the global protect version to 4.1.8

In the docs, it says that the client supports linux.

I've followed that doc:
https://docs.paloaltonetworks.com/globalprotect/4-1/globalprotect-app-user-guide/globalprotect-app-f...

It says I should download the package "PanGPLinux-4.1.0.tgz" to a mac endpoint. But I can only download "GlobalPortect.pkg" for macs from the portal.

Can someone tell me how to get the package for linux clients? (for example ubuntu)

Thank you!

L2 Linker

Re: Global Protect client for linux

You should be able to find the download in Updates > Software Updates and use the filter to find the Linux specific client.

L4 Transporter

Re: Global Protect client for linux

There is no version 4.1.8 for linux available.

Should I take 4.1.7 then?

L2 Linker

Re: Global Protect client for linux

The downloads are in the support portal. We are using 4.1.9.

Highlighted
L4 Transporter

Re: Global Protect client for linux

@mmeehan 

I installed GlobalProtect_deb-4.1.9.0-2.deb on my Ubuntu Desktop 18.04 via dpkg -i.

But I'm not able to open a vpn connection. It seems that the global protect client doesn't work at all.

For example, I cannot get into prompt mode.I type in "globalprotect" and hit enter. The cursor gets into the next line but I can't type in anything there.

Neither can I do a "globalprotect show --status. I don't get any output.

Can you give me some tips?

L4 Transporter

Re: Global Protect client for linux

Has been a permission problem.

 

Does the linux client support HIP? For example a maching string?

L2 Linker

Re: Global Protect client for linux

There may be some HIPS options available with the Linux client, we don't use any. I would check the documentaiton for a complete answer.

L4 Transporter

Re: Global Protect client for linux

@MPI-AE  Yes it does, it supports the same HIP checks as the windows and mac clients

L4 Transporter

Re: Global Protect client for linux

@hshawn 

 

for mac and windows, we use custom checks (registry / plist) to identify devices.

 

how can that be done with linux?

L4 Transporter

Re: Global Protect client for linux

@MPI-AE  heh, good catch I guess I really should have said you can use HIP checks with Linux too but yes you are correct some things will be OS specific

Like what you see?

Show your appreciation!

Click Like if a post is helpful to you or if you just want to show your support.

Click Accept as Solution to acknowledge that the answer to your question has been provided.

The button appears next to the replies on topics you’ve started. The member who gave the solution and all future visitors to this topic will appreciate it!

These simple actions take just seconds of your time, but go a long way in showing appreciation for community members and the Live Community as a whole!

The Live Community thanks you for your participation!